Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454426 - ecryptfsd cannot start and makes openssl keys useless
Summary: ecryptfsd cannot start and makes openssl keys useless
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 454425
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 12:44 UTC by Jan Tluka
Modified: 2008-10-14 17:24 UTC (History)
3 users (show)

Fixed In Version: 2.6.26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-14 17:24:10 UTC


Attachments (Terms of Use)

Description Jan Tluka 2008-07-08 12:44:31 UTC
+++ This bug was initially created as a clone of Bug #454425 +++

Description of problem:
Current version of kernel and ecryptfs-utils in Fedora 9 make ecryptfs feature
useless when mounting with openssl keys. There are problems in ecryptfs
userspace utilities (ecryptfsd) which use kernel netlink interface. This bug is
to track progress of inclusion of patches for ecryptfs-utils. Another bugzilla
will be created to track kernel side.

Version-Release number of selected component (if applicable):
kernel 2.6.25.6-55.fc9
ecryptfs-utils-40-0.fc9

How reproducible:
as root run ecryptfsd daemon and check /var/log/messages

Steps to Reproduce:
1. # su -
2. # tail -f /var/log/messages &
3. # ecryptfsd
  
Actual results:
Jul  8 11:26:53 dhcp-lab-206 ecryptfsd: Starting eCryptfs userspace netlink
daemon [4193]
Jul  8 11:26:53 dhcp-lab-206 ecryptfsd: Failed to send eCryptfs netlink message:
Connection refused
Jul  8 11:26:53 dhcp-lab-206 ecryptfsd: Failed to register netlink daemon with
the eCryptfs kernel module
Jul  8 11:26:53 dhcp-lab-206 ecryptfsd: Failed to send eCryptfs netlink message:
Connection refused
Jul  8 11:26:53 dhcp-lab-206 ecryptfsd: ecryptfsd_exit: Failed to unregister
netlink daemon with the eCryptfs kernel module
Jul  8 11:26:53 dhcp-lab-206 ecryptfsd: ecryptfsd_exit: Closing eCryptfs
userspace netlink daemon [4193]

Expected results:
ecryptfsd starts, no errors on startup

Additional info:
This bug is to track inclusion of patches in kernel space.

Comment 1 Chuck Ebbert 2008-07-09 19:03:27 UTC
What kind of kernel patches are we talking about here?

Comment 2 Jan Tluka 2008-07-10 11:40:36 UTC
Patches that replace netlink interface with miscdev interface for communication
of ecryptfsd (userspace) with kernel. netlink interface does not work for
ecryptfsd anymore.

Comment 3 Chuck Ebbert 2008-07-18 06:27:55 UTC
AFAICT the miscdev interface will be added when F9 moves to kernel 2.6.26.

Comment 4 Chuck Ebbert 2008-09-23 02:37:08 UTC
2.6.26.3-29 is released for F9. Can this bug be closed?

Comment 5 Jan Tluka 2008-10-09 12:12:35 UTC
Works in Fedora 9 now.

kernel-2.6.26.5-45.fc9
ecryptfs-utils-46-0.fc9


Note You need to log in before you can comment on or make changes to this bug.